[Apt-listbugs-commits] [apt-listbugs] 02/02: check DEBEMAIL env variable in git-tag.sh
Francesco Poli
frx-guest at moszumanska.debian.org
Sat May 17 15:46:06 UTC 2014
This is an automated email from the git hooks/post-receive script.
frx-guest pushed a commit to branch master
in repository apt-listbugs.
commit 0632d3d4c3261b8c454adb37530d9cc63cfa0f7a
Author: Francesco Poli (wintermute) <invernomuto at paranoici.org>
Date: Sat May 17 17:42:01 2014 +0200
check DEBEMAIL env variable in git-tag.sh
---
git-tag.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/git-tag.sh b/git-tag.sh
index c1d1931..7f26914 100755
--- a/git-tag.sh
+++ b/git-tag.sh
@@ -1,5 +1,11 @@
#!/bin/sh
+if test "x$DEBEMAIL" = "x"
+then
+ echo "please set DEBEMAIL environment variable!" 1>&2
+ exit 1
+fi
+
SRCPACK=$(dpkg-parsechangelog -SSource)
VERSION=$(dpkg-parsechangelog -SVersion)
git tag -s -u "$DEBEMAIL" -m "$SRCPACK release $VERSION" "$SRCPACK/$VERSION"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/apt-listbugs/apt-listbugs.git
More information about the Apt-listbugs-commits
mailing list